<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

$idUsuarioPerfil      = $_POST['idUsuarioPerfil'];
$idUsuario            = $_POST['idUsuario'];
$municipioUsuario     = $_POST['municipioUsuario'];
$unidadeRelacionada   = $_POST['unidadeRelacionada'];
$idPerfilAcesso       = $_POST['idPerfilAcesso'];
$verVagasDisponiveis  = $_POST['verVagasDisponiveis'];
$agendaVisivel        = $_POST['agendaVisivel'];

if ($idUsuarioPerfil == "") {
  $stmExiste  = $rsConexao->prepare("SELECT id_usuarioperfil FROM reg_tb_usuario_perfil 
  WHERE (id_usuario='$idUsuario') AND (id_pefilusuario='$idPerfilAcesso') AND (id_unidadeassociada='$unidadeRelacionada')");
  $stmExiste->execute();
  if ($stmExiste->rowCount() > 0) {
    echo "jáExiste";
    exit;
  }
}

if ($idUsuarioPerfil == "") {
  $sqlUsuarioPefil  = "INSERT INTO reg_tb_usuario_perfil(
    ibge_municipioacesso,
    id_unidadeassociada,  
    id_pefilusuario,
    visualiza_vagasdisponiveis,
    agenda_visivel,
    id_usuario
  )VALUES(
    :setMunicipio,
    :setUnidade,
    :setPerfilAcesso,
    :setVisualizaVagas,
    :setAgendaVisivel,
    :setUsuario
  )";
} else {
  $sqlUsuarioPefil = "UPDATE reg_tb_usuario_perfil SET
  ibge_municipioacesso=:setMunicipio,
  id_unidadeassociada=:setUnidade,
  id_pefilusuario=:setPerfilAcesso,
  visualiza_vagasdisponiveis=:setVisualizaVagas,
  agenda_visivel=:setAgendaVisivel
  WHERE id_usuarioperfil='$idUsuarioPerfil'";
}

$stmAddPerfil  = $rsConexao->prepare($sqlUsuarioPefil);
$stmAddPerfil->bindParam(":setMunicipio", $municipioUsuario, PDO::PARAM_STR);
$stmAddPerfil->bindParam(":setUnidade", $unidadeRelacionada, PDO::PARAM_STR);
$stmAddPerfil->bindParam(":setPerfilAcesso", $idPerfilAcesso, PDO::PARAM_STR);
$stmAddPerfil->bindParam(":setVisualizaVagas", $verVagasDisponiveis, PDO::PARAM_STR);
$stmAddPerfil->bindParam(":setAgendaVisivel", $agendaVisivel, PDO::PARAM_STR);

if ($idUsuarioPerfil == "") {
  $stmAddPerfil->bindParam(":setUsuario", $idUsuario, PDO::PARAM_STR);
}
$stmAddPerfil->execute();

if ($idUsuarioPerfil == "") {
  $ultimoIdUsuarioAdd = $rsConexao->lastInsertId();
} else {
  $ultimoIdUsuarioAdd = $idUsuario;
}


//******* carregar lista atualizada */  
$sqlPerfilAcesso = "SELECT reg_tb_usuario_perfil.id_usuarioperfil,
  reg_rl_usuario_perfil.id_usuario_perfil,
  reg_rl_usuario_perfil.descricao_usuario_perfil,
  tb_estabelecimento.codigoestabelecimento_cnes,
  tb_estabelecimento.nfantasia_estabelecimento,
  tb_estabelecimento.cnes_estabelecimento,
  reg_tb_usuario_perfil.ibge_municipioacesso,
  reg_tb_usuario_perfil.visualiza_vagasdisponiveis,
  CASE
    WHEN (reg_tb_usuario_perfil.agenda_visivel='' OR reg_tb_usuario_perfil.agenda_visivel IS NULL) THEN 'N/A'
    WHEN (reg_tb_usuario_perfil.agenda_visivel='G') THEN 'GERAL'
    WHEN (reg_tb_usuario_perfil.agenda_visivel='L') THEN 'LOCAL'
  END AS agendaVisivel,
  reg_tb_usuario_perfil.agenda_visivel,
  tb_cidades.nome_cidade
  FROM reg_tb_usuario_perfil
  INNER JOIN reg_rl_usuario_perfil ON (reg_tb_usuario_perfil.id_pefilusuario = reg_rl_usuario_perfil.id_usuario_perfil)
  INNER JOIN tb_cidades ON (reg_tb_usuario_perfil.ibge_municipioacesso = tb_cidades.codigoibge_cidade)
  INNER JOIN reg_tb_usuario ON (reg_tb_usuario_perfil.id_usuario = reg_tb_usuario.id_usuario)
  INNER JOIN tb_estabelecimento ON (tb_estabelecimento.codigoestabelecimento_cnes = reg_tb_usuario_perfil.id_unidadeassociada)
  WHERE reg_tb_usuario.id_usuario='$idUsuario'";
$stmPerfilAcesso  = $rsConexao->prepare($sqlPerfilAcesso);
$stmPerfilAcesso->execute();

if ($stmPerfilAcesso->rowCount() > 0) {
  $rsPerfilAcesso  = $stmPerfilAcesso->fetchAll(PDO::FETCH_ASSOC);
  foreach ($rsPerfilAcesso as $fieldPerfilAcesso) {
    $idPerfilAcesso    = $fieldPerfilAcesso['id_usuario_perfil'];
    $idUsuarioPerfil  = $fieldPerfilAcesso['id_usuarioperfil'];
    $nomePerfilAcesso  = mb_strtoupper($fieldPerfilAcesso['descricao_usuario_perfil']);
    $nomeUnidadeSaude  = mb_strtoupper($fieldPerfilAcesso['nfantasia_estabelecimento']);
    $cnesUnidadeSaude  = $fieldPerfilAcesso['cnes_estabelecimento'];
    $idUnidade        = $fieldPerfilAcesso['codigoestabelecimento_cnes'];
    $codigoCidade      = $fieldPerfilAcesso['ibge_municipioacesso'];
    $nomeCidade        = $fieldPerfilAcesso['nome_cidade'];
    $vagaDisponivel		= $fieldPerfilAcesso['visualiza_vagasdisponiveis'];
		$verVagaDisponivel	= ($idPerfilAcesso!=4 && $idPerfilAcesso!=17 && $idPerfilAcesso!=19) ? "N/A" : ($fieldPerfilAcesso['visualiza_vagasdisponiveis']=="S" ? "SIM" : "NÃO");
    $agendaVisivel   = $fieldPerfilAcesso['agendaVisivel'];
    $agendaVisivelEdit  = $fieldPerfilAcesso['agenda_visivel'];
    
    $linkEditarPerfil   = '"editarPerfil(' . "'$idUsuarioPerfil','$codigoCidade','$idUnidade','$idPerfilAcesso','$vagaDisponivel','$agendaVisivelEdit')" . '"';
		$linkExcluirPerfil	= '"excluirPerfil(' . "'$idUsuarioPerfil')" . '"';

    echo "<tr>
          <td align='center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar dados do perfil de acesso.' onclick=$linkEditarPerfil></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir perfil de acesso.' onclick=$linkExcluirPerfil></i>
          </td>
          <td>$nomeCidade</td>
          <td>$cnesUnidadeSaude - $nomeUnidadeSaude</td>
          <td>$nomePerfilAcesso</td>
          <td align='center'>$verVagaDisponivel</td>
          <td align='center'>$agendaVisivel</td>
        </tr>";
  }
}
//**************************************************** */
